Bug 245339 - databases/ruby-bdb: suppress deprecate warning with Ruby 2.7
Summary: databases/ruby-bdb: suppress deprecate warning with Ruby 2.7
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Akinori MUSHA
URL:
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2020-04-04 01:43 UTC by Hajimu UMEMOTO
Modified: 2020-04-28 10:27 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (knu)


Attachments
exclude the useless codes which treat deprecated safe levels (23.53 KB, patch)
2020-04-04 01:43 UTC, Hajimu UMEMOTO
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Hajimu UMEMOTO freebsd_committer 2020-04-04 01:43:18 UTC
Created attachment 213042 [details]
exclude the useless codes which treat deprecated safe levels

When using ruby-bdb with Ruby 2.7, following warning messages are issued:

/usr/local/lib/ruby/site_ruby/2.7/pkgtools/pkgdbtools.rb:196: warning: rb_secure will be removed in Ruby 3.0
/usr/local/lib/ruby/site_ruby/2.7/pkgtools/pkgdbtools.rb:196: warning: rb_secure will be removed in Ruby 3.0
/usr/local/lib/ruby/site_ruby/2.7/pkgtools/pkgdbtools.rb:196: warning: rb_safe_level will be removed in Ruby 3.0

The safe level greater than 1 are already deprecated by recent Ruby 2.X series.
Tha attached patch exclude the useless codes which treat such deprecated safe levels.
Comment 1 Automation User 2020-04-19 00:12:42 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/137532803
Comment 2 commit-hook freebsd_committer 2020-04-28 10:24:00 UTC
A commit references this bug:

Author: ume
Date: Tue Apr 28 10:23:09 UTC 2020
New revision: 533243
URL: https://svnweb.freebsd.org/changeset/ports/533243

Log:
  suppress deprecate warning with Ruby 2.7

  PR:		245339
  Approved by:	maintainer timeout

Changes:
  head/databases/ruby-bdb/Makefile
  head/databases/ruby-bdb/files/patch-bdbxml1__bdbxml.cc
  head/databases/ruby-bdb/files/patch-bdbxml2__bdbxml.cc
  head/databases/ruby-bdb/files/patch-src-common.c
  head/databases/ruby-bdb/files/patch-src-cursor.c
  head/databases/ruby-bdb/files/patch-src-recnum.c
  head/databases/ruby-bdb/files/patch-src__env.c
  head/databases/ruby-bdb/files/patch-src__transaction.c